
@import url('https://fonts.googleapis.com/css2?family=Libre+Caslon+Text:ital,wght@0,400;0,700;1,400&display=swap');

/* Universal Box Sizing with Inheritance~ */
html {
    box-sizing: border-box;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

/* variable */
:root {
}

/* base font size */
html {
    font-size: 16px;
    font-family: 'Libre Caslon Text', serif;
    line-height: 1.7;
}

@media (min-width: 130rem) {
    html {
	font-size: 1.5vh;
    }
}

/* reset browser defaults */
h1,
h2,
h3,
h4,
h5 {
    margin-top: 0;
    margin-bottom: 1rem;
}

p {
    margin-top: 0;
}

body {
    margin: 0;
}

a,
a:visited {
    color: var(--color-link);
}

a:hover {
    text-decoration: underline;
}

ul {
    margin-top: 0;
}

blockquote {
    margin-top: 0;
    margin-bottom: 1rem;
    margin-left: 2rem;
    white-space: pre;
}

/* forms */
input {
    padding: 0.8rem;
}

/* flex layout */
html,
body {
    display: flex;
    flex-direction: column;
    align-items: center;
    flex-grow: 1;
    width: 100%;
    min-height: 100vh;
}
.Site {
    display: flex;
    flex-direction: column;
}
@media screen and (min-width: 60rem) {
    .Site {
	display: flex;
	flex-direction: row;
    }    
}


/* horizontal dynamics */
.Container {
    width: 100%;
    max-width: 50rem;
    padding-left: 1rem;
    padding-right: 1rem;
}
.Container--large {
    max-width: 70rem;
}
.Container--small {
    max-width: 40rem;
}
.Container--full {
    max-width: 100%;
}

.Container--center {
    display: flex;
    flex-direction: column;
    align-self: center;
}


/* vertical dynamics */
.Section {
    margin-bottom: 1.5rem;
}

/* site theme */
.Site {
    background-color: var(--color-bg);
    flex-grow: 1;
    width: 100%;
}

.Site-header {
    display: flex;
    flex-direction: row;
    margin-bottom: 1.5rem;
}
@media screen and (min-width: 60rem) {
    .Site-header {
	margin-bottom: 0;
	flex-direction: column;
	align-self: flex-start;
	position: sticky;
	top: 0;
	bottom: 0;
	height: 100%;
    }
}

.Site-main {
    flex-grow: 1;
    padding-bottom: 1rem;
    min-height: 80vh;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}
.Site-main > article {
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex-grow: 1;
}
.Site--home .site-main {
    justify-content: center;
    align-items: center;
}

.Site-main {
    padding-top: 1rem;
}

.Site-title,
.Site-description {
    text-align: right;
}

/* utilities */
h1[center],
h2[center],
h3[center],
p[center],
div[center]{
    text-align: center;
}
h1[right],
h2[right],
h3[right],
p[right] {
    text-align: right;
}

.d-horizontal {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

/* vertical grow */
.v-grow {
    display: flex;
    flex-direction: column;
    height: 100%;
    flex-grow: 1;
}
.v-center {
    display: flex;
    justify-content: center;
}
.v-end {
    justify-self: flex-end;
}
.h-center {
    display: flex;
    align-items: center;
}


/* navigation */
nav {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

nav a {
    text-decoration: none;
}
nav[role="pagination"] {
    justify-content: space-between;
}
nav[role="pagination"] nav-item a{
    padding: 1.5rem;
}
nav[role="pagination"] nav-item[previous] {
    justify-self: flex-start;
}
nav[role="pagination"] nav-item[next] {
    justify-self: flex-end;
}
nav[role="pagination"] nav-item:first-child::before {
    content: '<';
}
nav[role="pagination"] nav-item:last-child::after {
    content: '>';
}

nav[role="cta"] {
    align-items: flex-end;
    justify-content: flex-end;
    overflow: visible;
}
nav[role="cta"] nav-item a {
    display: inline-flex;
    padding: 1.5rem;
    text-decoration: underline;
}
nav[role="cta"] nav-item a {
    border-bottom: 0.1rem solid gray;
    box-shadow: 0 0 3px lightgray;
    transition: box-shadow ease-in-out 200ms;
    font-size: 1.1rem;
}
nav[role="cta"] nav-item a:hover {
    box-shadow: 0 0 4px black;
    text-decoration: none;
    border-bottom-color: gray;
}

nav[role="main"] {
    flex-direction: row;
}
@media screen and (min-width: 60rem) {
    nav[role="main"] {
	flex-direction: column;
	align-items: flex-start;
	height: 100vh;
    }    
}

@media screen and (min-width: 60rem) {
    nav[role="breadcrumb"] {
	margin-bottom: 0.3rem;
    }    
}

/* nav[role="breadcrumb"] nav-item:not(:first-child) { */
/*     display: none; */
/* } */

nav[role="main"] a {
    color: var(--color-link);
    background-color: var(--color-bg);
    padding-bottom: 0.5rem;
    padding-top: 0.5rem;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    font-size: 1.2rem;
}
@media screen and (min-width: 60rem) {
    nav[role="main"] a {
	padding-left: 2rem;
	padding-right: 2rem;
    }
}

nav[role="breadcrumb"] {
    margin-bottom: 2rem;
}

nav[role="breadcrumb"] nav-item a {
    padding: 1.5rem;
}

nav[role="breadcrumb"] nav-item h1 {
    font-size: 2rem;
}
nav[role="breadcrumb"] nav-item:first-child {
    margin-right: 3rem;
    text-decoration: italic;
}

nav[role="main"] {}
nav[role="main"] nav-item {
    position: relative;
    display: flex;
}

nav[role="tags"] nav-item {
    /* because hugo uses the title when taxonomy has a content page */
    text-transform: lowercase;
}

nav[role="actions"] {
    justify-content: flex-end;
}

nav-item {
    margin-right: 0.5rem;
}
nav-item h1,
nav-item h2 {
    display: inline;
    margin-bottom: 0;
}
nav-item[active] a,
nav[role="breadcrumb"] nav-item:last-of-type a {
    font-weight: bold;
}

/* titles */
h1 a {
    color: black;
    text-decoration: none;
}

/* img */
img {
    display: block;
    width: 100%;
}

/* grid */
.Grid {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
}
.Grid-item {
    padding: 2rem;
}


/* cards for each models */
.IntroCard {
    display: flex;
    flex-wrap: wrap;
}

.IntroCard-title,
.IntroCard-media,
.IntroCard-text {
    padding: 0.5rem;
}
.IntroCard-media {
    max-width: 25rem;
}

.IntroCard-link {
    font-weight: bold;
}

.IntroCard-text {
    
}

/* lists */

/* homepage customzz  */
.List--home {
    display: flex;
    flex-wrap: wrap;
    max-width: 130rem;
    justify-content: center;
}
.List--home .IntroCard {
    margin-bottom: 2rem;
    padding: 1rem;
    align-content: center;
    justify-content: flex-start;
    max-width: 40rem;
}
.List--home .IntroCard-title {
    font-size: 1.3rem;
    align-self: flex-end;
}
@media screen and (min-width: 80rem) {
    .List--home .IntroCard {
	flex-basis: 33%;
	padding: 3rem;
    }
}
.List--home .IntroCard-text {
    text-align: justify;
}

/* position each child slighlty more dynamically */
@media screen and (min-width: 80rem) {
    /* nth 1 */
    .List--home .IntroCard:nth-of-type(3n+1) .IntroCard-media {
	order: 2;
    }
    .List--home .IntroCard:nth-of-type(3n+1) .IntroCard-title {
	flex-grow: 1;
    }
    /* nth 2 */
    .List--home .IntroCard:nth-of-type(3n+2) .IntroCard-title {
	align-self: flex-end;
	flex-grow: 1;
    }
    /* nth 3 */
    .List--home .IntroCard:nth-of-type(3n+3) .IntroCard-media {
	order: 2;
    }
    .List--home .IntroCard:nth-of-type(3n+3) .IntroCard-title {
	order: 1;
	flex-grow: 1;
	align-self: flex-start;
    }
}

/* services list */
.List--services ul,
.List--products ul,
.List--toolboxes ul {
    list-style: none;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
}

.List--toolboxes,
.List--products {
    margin-top: 2.5rem;
}
.List--products ul {
    flex-grow: 1;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
}

.List--products .ListItem,
.List--toolboxes .ListItem {
    flex-grow: 1;
    margin-bottom: 1.5rem;
}

.List--products .ListItem {
    max-width: 25rem;
}

.List--services {
    justify-content: center;
    padding-top: 2rem;
}

.List--services ul {
    align-items: center;
}
.List--services .ListItem {
    margin: 1rem;
    flex-grow: 1;
    max-width: 30rem;
}
@media (min-width: 60rem) {
    .List--services .ListItem {
	flex-grow: 0;
    }
}

.List--services .ServiceCard {
    padding: 1.5rem;
    display: flex;
    flex-direction: column;
    height: 100%;
}

.List--services .ServiceCard {
    border-bottom: 0.1rem solid gray;
    box-shadow: 0 0 3px lightgray;
    transition: box-shadow ease-in-out 200ms;
    font-size: 1.1rem;
}
.List--services .ServiceCard:hover {
    box-shadow: 0 0 4px black;
    text-decoration: none;
    border-bottom-color: gray;
}
.List--services .ServiceCard-intro {
    max-width: 30rem;
}

.List--products {
    
}

.ToolboxCard {
    border-left: 0.2rem solid transparent;
    padding-left: 1rem;
    display: flex;
    flex-direction: column;
    transition: border-color ease-in-out 200ms;
}
.ToolboxCard:hover {
    border-left-color: gray;
    text-decoration: none;
}
.ToolboxCard-title {
    margin-bottom: 0;
}

.ProductCard {
    padding-left: 1rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    border-left: 0.2rem solid black;
}

/* single article */
/* toc, table of contents on a single article */
.TableOfContents {
    display: none;
}
.TableOfContents nav {
    flex-direction: column;
    align-items: flex-start;
    padding-top: 1rem;
    padding-bottom: 1rem;
}
.TableOfContents ul {
    list-style: circle;
}

.Content p {
    max-width: 40rem;
}

.FreelanceFooter {
    font-style: italic;
    max-width: 30rem;
    align-self: flex-end;
    margin-bottom: 2rem;
}

/* animation */
ls-animation-data::before,
ls-animation-data::after {
    position: absolute;
    top: 0;
    right: 79vw;
    bottom: 0;
    content: '';
    display: flex;
    flex-grow: 1;
    width: 1.5vw;
    animation: AnimationProcess 1s infinite;
    animation-direction: alternate;
}
ls-animation-data::before {
    animation-delay: 400ms;
    animation-duration: 2s;
    animation-direction: both;
}

ls-animation-data {
    --color-default: lightgray;
    --color-service: gray;
    --color-item: black;
    --animation-delay: 800ms;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* justify-content: space-evenly; */
    justify-content: flex-end;
    margin-right: 5vw;
    cursor: wait;
    border-radius: 50%;

    z-index: -1;
    position: fixed;
    bottom: 0;
    left: 0;
    right: -100%;
    width: 180vw;
    height: 100%;

    padding-bottom: 1rem;
}
ls-animation-data-item {
    position: relative;
    margin: 0.1rem;
    display: inline-block;
    width: 0.2rem;
    height: 2rem;
    border: 0.2rem solid var(--color-service);
    margin-left: 2rem;
    margin-right: 5rem;
    /* transform: translateX(0); */
    animation: AnimationData 1s infinite;
    animation-direction: alternate;
}
ls-animation-data-item {
    display: none;
}
ls-animation-data-item:last-of-type {
    display: inline-block;
}

ls-animation-data-item:nth-child(n+1) {
    animation-delay: 300ms;
}
ls-animation-data-item:nth-child(2n+2) {
    animation-delay: 800ms;
}
ls-animation-data-item:nth-child(3n+1) {
    animation-delay: 1000ms;
}
ls-animation-data-item:nth-child(-9n+3) {
    animation-delay: 1800ms;
}

ls-animation-data-item::before {
    content: '';
    width: 0.5rem;
    height: 0.5rem;
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    background-color: var(--color-item);

    transform: translateX(0);
    animation: AnimationDataItem 7s infinite;
    animation-fill-mode: both;
}

ls-animation-data-item::after {
    content: '';
    width: 0.5rem;
    height: 0.5rem;
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    background-color: white;

    transform: translateX(0);
    animation: AnimationDataItem 5s infinite;
    animation-delay: var(--animation-delay);
    animation-direction: forward;
    animation-fill-mode: both;
}
ls-animation-data-item:nth-child(n+3)::after,
ls-animation-data-item:nth-child(2n+2)::after {
    animation-delay: calc(var(--animation-delay) + 550ms);
}
ls-animation-data-item:nth-child(n+4)::after,
ls-animation-data-item:nth-child(-6n+2)::before {
    animation-delay: calc(var(--animation-delay) + 1850ms);
}
ls-animation-data-item:nth-child(2n+2)::before,
ls-animation-data-item:nth-child(-7n+4)::before {
    animation-delay: calc(var(--animation-delay) + 350ms);
}
ls-animation-data-item:nth-child(-6n+2)::after {
    animation-delay: calc(var(--animation-delay) + 1050ms);
}
ls-animation-data-item:nth-child(-7n+4)::after {
    animation-delay: calc(var(--animation-delay) + 231ms);
}

@keyframes AnimationData {
    0% {
	width: 0.5rem;
	border-color: var(--color-default);
    }
    50% {
	width: -1vh;
    }
    90% {
	width: -1vh;
	border-color: var(--color-service);
    }
    100%{
	width: 3vh;
	border-color: var(--color-item);
    }
}


@keyframes AnimationDataItem {
    0% {
	background-color: var(--color-default);
	transform: translateX(-150vw);
    }
    50% {
	background-color: var(--color-default);
	transform: translateX(0);
	outline: none;
	font-size: 1rem;
    }
    51% {
	background-color: var(--color-item);
	font-size: 1.2rem;
	outline: 0.2rem solid var(--color-service);
	outline-offset: 0.3rem;
    }
    100%{
	transform: translateX(200vw);
	background-color: var(--color-item);
	font-size: 1.2rem;
	outline: 0.2rem solid var(--color-service);
    }
}

@keyframes AnimationProcess {
    0% {
	transform: translateX(-1rem);
    }
    50% {
	background-color: var(--color-default);
	transform: translateX(0);
    }
    51% {
	background-color: var(--color-service);
    }
    65% {
	background-color: var(--color-item);
    }
    100%{
	transform: translateX(0.8rem);
	background-color: var(--color-item);
	font-size: 1.2rem;
    }
}


/* unicode icons */
ls-icon[type="arrow-back"] {
    font-size: 1.3rem;
}
ls-icon[type="arrow-back"]:before {
    content: '↞';
}
